#
# spec file for package tar (Version 1.13.25)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  autoconf automake libtool rsh

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm rsh

Name:           tar
URL:            http://www.gnu.org/software/tar/
License:        GPL
Group:          System/Base
Provides:       base:/bin/tar
PreReq:         %install_info_prereq
Autoreqprov:    on
Version:        1.13.25
Release:        325.6
Summary:        GNU implementation of tar ( (t)ape (ar)chiver )
Source:         %{name}-%{version}.tar.bz2
Source1:        tar.1
Patch:          tar-%{version}.dif
Patch1:         tar-codecleanup.diff
Patch2:         tar-1.13.25-remotefsurl.diff
Patch3:         tar-1.13.25-traversal.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define _bindir  /bin

%description
This package normally also includes the program "rmt", which provides
remote tape drive control. Since there are compatible versions of 'rmt'
in either the 'star' package or the 'dump' package, we didn't put 'rmt'
into this package. If you are planning to use the remote tape features
provided by tar you have to also install the 'dump' or the 'star'
package.



Authors:
--------
    Melissa O'Neill <oneill@cs.sfu.ca>
    Bruno Haible <haible@clisp.cons.org>
    Dale Worley <worley@ariadne.com>
    David J. MacKenzie <djm@gnu.ai.mit.edu>
    Franois Pinard <pinard@iro.umontreal.ca>
    Gerhard Poul <gpoul@gnu.org>
    Jay Fenlason <hack@ai.mit.edu>
    Jeff Dairiki <dairiki@dairiki.org>
    Jim Kingdon <kingdon@ai.mit.edu>
    Joy Kendall <jak@hobbes>
    Machael Stone <mstone@cs.loyola.edu>
    Michael I Bushnell <mib@gnu.ai.mit.edu>
    Noah Friedman <friedman@gnu.ai.mit.edu>
    Paul Eggert <eggert@twinsun.com>
    Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
    The King <elvis@gnu.ai.mit.edu>
    Tom Tromey <tromey@drip.colorado.edu>

%prep
%setup
find . -type f|xargs chmod u+w
%patch
%patch1
%patch2 -p1
%patch3 -p1

%build
%define my_cflags -W -Wall -Wpointer-arith -Wstrict-prototypes -Wformat-security -Wno-unused-parameter
%{?suse_update_config:%{suse_update_config}}
autoreconf --force --install
test -f po/Makevars.template && mv po/Makevars.template po/Makevars
CFLAGS="$RPM_OPT_FLAGS %{my_cflags}" ./configure --prefix=%{_prefix} --bindir=%{_bindir} \
			 --mandir=%{_mandir} --infodir=%{_infodir} \
			 --build=%{_target_cpu}-suse-linux
make
make check

%install
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/base/tar
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{1,8}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
make install-strip DESTDIR=$RPM_BUILD_ROOT
install -m 0644 %{SOURCE1}  $RPM_BUILD_ROOT%{_mandir}/man1/
rm -r %{buildroot}/%{_libexecdir}

%files
%defattr(-, root, root)
%{_bindir}/tar
%doc README* ABOUT-NLS AUTHORS COPYING NEWS THANKS ChangeLog PORTS TODO
%doc %{_infodir}/tar.info*.gz
%doc %{_mandir}/man1/tar.1.gz
%{_datadir}/locale/*/LC_MESSAGES/tar.mo

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%changelog -n tar
* Thu Mar 02 2006 - kssingvo@suse.de
- fixed: traversal bug CVE-2005-1918 (bugzilla#145081)
- not affected: buffer overflow issue CVE-2006-0300 (bugzilla#151516)
* Thu Apr 15 2004 - mmj@suse.de
- Fix detection of remote paths [#38709]. Thanks Jrgen!
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Fri Jun 20 2003 - ro@suse.de
- build with current gettext
* Thu May 15 2003 - pthomas@suse.de
- Remove unneeded files from build root.
- Add autoconf tests to properly guard K&R prototypes
- Clean up signed/unsigned compares.
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Fri Feb 07 2003 - ro@suse.de
- added install_info macros
* Mon Nov 18 2002 - ro@suse.de
- add AM_GNU_GETTEXT_VERSION to configure.ac
* Thu Aug 01 2002 - ro@suse.de
- add acinclude.m4 with missing macros
* Tue Jun 04 2002 - pthomas@suse.de
- Make tar a package of its own.
- Update to tar-1.13.25.
- Make tar man page a seperate file instead of part of the patch.
- Patch de.po to reflect the addition of the --bunzip2 parameter
- Use AC_LIBOBJ instead of LIBOBJS
* Wed May 22 2002 - olh@suse.de
- allow build as user, use buildroot
* Fri Feb 08 2002 - werner@suse.de
- Fix bug #12797: back to builtin behaviour, the widly used -I for
  bunzip2 can be reenabled with the environment var TAROLDOPT4BZIP2
* Mon Dec 17 2001 - werner@suse.de
- draht@suse.de: package rsh is needed for build of tar(1) to
  enable rsh remote command execution.
  two successive execl() calls to /usr/bin/rsh with different
  args/remote commands do not make sense since the first execl() is
  successful if /usr/bin/rsh exists. Check for existence of /etc/rmt
  on the remote side and execute it, else exec /sbin/rmt . (#12605)
- Use one contstant string for command line
* Tue Nov 20 2001 - werner@suse.de
- Add rsh to needeforbuild to be sure that remote shell for remote
  backup will be found.
* Wed Aug 01 2001 - werner@suse.de
- Make /etc/rmt versus /sbin/rmt switch dynamic.
* Tue Mar 27 2001 - werner@suse.de
- Fix man page of tar (#6741)
* Thu Dec 14 2000 - werner@suse.de
- Update to tar 1.13.18
  * should avoid some crashes
  * avoid exclude file list problem
* Fri Nov 26 1999 - kukuk@suse.de
- Add tar.1 to file list
- Remove obsolete entries from file list
- Build tar with locale support
